"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cli_ux_1 = require("cli-ux");
class Ux extends cli_ux_1.CLI {
    constructor(isJson) {
        super();
        this.isJson = !!isJson;
    }
    log(data) {
        if (!this.isJson) {
            super.log(data);
        }
    }
    warn(data) {
        if (!this.isJson) {
            super.warn(data);
        }
    }
    error(data) {
        if (!this.isJson) {
            super.error(data);
        }
    }
    json(data) {
        if (this.isJson) {
            const json = JSON.stringify(data);
            if (data instanceof Error) {
                super.error(json);
            }
            else {
                super.log(json);
            }
        }
    }
}
exports.Ux = Ux;
//# sourceMappingURL=cliUx.js.map