"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lazy_require_1 = require("@salesforce/lazy-require");
const cli_engine_config_1 = require("cli-engine-config");
const path = require("path");
let lazyRequire;
/**
 * Start lazy requiring type-compatible modules.
 */
function start() {
    getOrCreate().start();
}
exports.start = start;
/**
 * Return the lazy require type cache if it has been initialized.
 */
function resetTypeCache() {
    getOrCreate().resetTypeCache();
}
exports.resetTypeCache = resetTypeCache;
function getOrCreate() {
    if (lazyRequire) {
        return lazyRequire;
    }
    const pjson = require('../../../package.json'); // tslint:disable-line no-var-requires
    const cacheDir = cli_engine_config_1.buildConfig({ bin: pjson['cli-engine'].bin }).cacheDir;
    const typeCacheFile = path.join(cacheDir, 'module-types.json');
    return lazyRequire = lazy_require_1.default.create(typeCacheFile);
}
//# sourceMappingURL=index.js.map