"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
class Env {
    constructor(env = process.env) {
        this.env = env;
        this.env = env;
    }
    getString(key, def) {
        return this.env[key] || def;
    }
    getBoolean(key, def) {
        return this.getString(key, (!!def).toString()).toLowerCase() === 'true';
    }
    setString(key, val) {
        if (lodash_1.isNil(val)) {
            this.unset(key);
        }
        this.env[key] = val;
    }
    setBoolean(key, val) {
        this.setString(key, val.toString());
    }
    unset(key) {
        return delete this.env[key];
    }
}
exports.Env = Env;
exports.default = new Env();
//# sourceMappingURL=env.js.map